org.apache.ode.bpel.pmapi

## Interface TScopeRef

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TScopeRefImpl

      public interface TScopeRef
      extends org.apache.xmlbeans.XmlObject

  An XML tScopeRef(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TScopeRef.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getModelId()` Gets the "modelId" attribute
    `java.lang.String` | `getName()` Gets the "name" attribute
    `java.lang.String` | `getSiid()` Gets the "siid" attribute
    `TScopeStatus.Enum` | `getStatus()` Gets the "status" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `void` | `setModelId(java.lang.String modelId)` Sets the "modelId" attribute
    `void` | `setName(java.lang.String name)` Sets the "name" attribute
    `void` | `setSiid(java.lang.String siid)` Sets the "siid" attribute
    `void` | `setStatus(TScopeStatus.Enum status)` Sets the "status" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `org.apache.xmlbeans.XmlString` | `xgetModelId()` Gets (as xml) the "modelId" attribute
    `org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" attribute
    `org.apache.xmlbeans.XmlString` | `xgetSiid()` Gets (as xml) the "siid" attribute
    `TScopeStatus` | `xgetStatus()` Gets (as xml) the "status" attribute
    `void` | `xsetModelId(org.apache.xmlbeans.XmlString modelId)` Sets (as xml) the "modelId" attribute
    `void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" attribute
    `void` | `xsetSiid(org.apache.xmlbeans.XmlString siid)` Sets (as xml) the "siid" attribute
    `void` | `xsetStatus(TScopeStatus status)` Sets (as xml) the "status" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getSiid

          java.lang.String getSiid()

      Gets the "siid" attribute

    - #### xgetSiid

          org.apache.xmlbeans.XmlString xgetSiid()

      Gets (as xml) the "siid" attribute

    - #### setSiid

          void setSiid(java.lang.String siid)

      Sets the "siid" attribute

    - #### xsetSiid

          void xsetSiid(org.apache.xmlbeans.XmlString siid)

      Sets (as xml) the "siid" attribute

    - #### getName

          java.lang.String getName()

      Gets the "name" attribute

    - #### xgetName

          org.apache.xmlbeans.XmlString xgetName()

      Gets (as xml) the "name" attribute

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute

    - #### setName

          void setName(java.lang.String name)

      Sets the "name" attribute

    - #### xsetName

          void xsetName(org.apache.xmlbeans.XmlString name)

      Sets (as xml) the "name" attribute

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute

    - #### getModelId

          java.lang.String getModelId()

      Gets the "modelId" attribute

    - #### xgetModelId

          org.apache.xmlbeans.XmlString xgetModelId()

      Gets (as xml) the "modelId" attribute

    - #### setModelId

          void setModelId(java.lang.String modelId)

      Sets the "modelId" attribute

    - #### xsetModelId

          void xsetModelId(org.apache.xmlbeans.XmlString modelId)

      Sets (as xml) the "modelId" attribute

    - #### getStatus

          TScopeStatus.Enum getStatus()

      Gets the "status" attribute

    - #### xgetStatus

          TScopeStatus xgetStatus()

      Gets (as xml) the "status" attribute

    - #### setStatus

          void setStatus(TScopeStatus.Enum status)

      Sets the "status" attribute

    - #### xsetStatus

          void xsetStatus(TScopeStatus status)

      Sets (as xml) the "status" attribute